Subject: bug#14368: closed (Re: bug#14368: 24.3.50; Big screw: multibyte characters become)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 26 May 2013 01:18:02 +0000

Your bug report

#14368: 24.3.50; Big screw: multibyte characters become unibyte

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14368: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14368
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14368: 24.3.50; Big screw: multibyte characters become
From: Stefan Monnier <[email-masked]>
To: Richard Stallman <[email-masked]>
Cc: Handa Kenichi <[email-masked]>, [email-masked], [email-masked]
Date: Sat, 25 May 2013 20:58:16 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> I too observe the bug to be fixed now.  Thanks for fixing it.

Thanks for confirming,

        Stefan

Subject: 24.3.50; Big screw: multibyte characters become unibyte
From: Richard Stallman <[email-masked]>
To: [email-masked]
Date: Wed, 08 May 2013 04:21:30 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

When I use latin-1-postfix to enter characters such
as i-with-acute-accent and inverse-?, as soon as I type
another character they turn into Latin-1 single byte codes.

For instance, when I type i and ', the input method turns that into
i-with-acute-accent; but then my next keystroke turns the
i-with-acute-accent into \355.

This is horrible!

I can't find what is doing it.  It seems to happen no matter what the
next character is -- even M-x does it.  But I can't see this on
post-command-hook.

In GNU Emacs 24.3.50.1 (mips64el-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2013-05-01 on chiefs-gnewsense
Bzr revision: 112434 [email-masked]
System Description:	Debian GNU/Linux 6.0.6 (squeeze)

Configured using:
 `configure CFLAGS=-g -O0'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Dired by date

Minor modes in effect:
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
n . C-c C-c d d d x C-x b o u t g TAB RET g C-u C-p 
C-p C-p C-p C-p C-o C-n C-o C-x o C-x o d x y e s RET 
C-x b R TAB RET C-x 1 d u d d d d u d x 3 0 p d d d 
x n x C-a C-u C-u C-n C-u C-n C-n C-n C-n C-@ C-n C-n 
C-n r ESC , RET P u e d e SPC s e r SPC e l SPC 4 ? 
C-a ? / DEL DEL C-\ ? / C-e C-c C-c C-n C-@ C-n C-n 
ESC w C-x b o u t g TAB RET g C-p C-p C-p C-o C-x o 
ESC > RET RET ESC , RET C-o S e r i ' DEL DEL C-\ i 
' a SPC p o s i b l e SPC a d n DEL m i t i r SPC a 
SPC o t r o s SPC s i n SPC ESC DEL g r a t u i t a 
m e n t e SPC y SPC n o SPC e n t r e g a r l e s SPC 
n a d a ? C-a ? / C-c C-c C-g C-x C-s C-g ESC x t o 
g g l e SPC e n a TAB RET ESC x ESC p RET C-x C-s RET 
C-x k RET C-x o e C-x 1 C-u C-u C-n C-n C-n C-d C-x 
C-s C-x k RET ESC x b u g SPC g n u SPC e m a DEL DEL 
DEL ESC DEL ESC DEL r e p o r t SPC e m a c s SPC b 
u g RET

Recent messages:
Wrote /home/rms/outgoing/out-56
Sending...done
Mark set [3 times]
Quit
Saving file /home/rms/outgoing/out-56...
Quit
Saving file /home/rms/outgoing/out-56...
Wrote /home/rms/outgoing/out-56
Saving file /home/rms/outgoing/out-56...
Wrote /home/rms/outgoing/out-56

Load-path shadows:
None found.

Features:
(shadow emacsbug quail cal-move cal-menu calendar cal-loaddefs
dired-aux rmailsum grep compile parse-time vc-cvs sgml-mode shell
pcomplete comint ansi-color ring mule-util qp help-mode rmailout
misearch multi-isearch dabbrev mailalias rmailmm message sendmail
format-spec rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode
mailabbrev gmm-utils mailheader mail-parse rfc2231 dired t-mouse
time-date rmailedit rmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils paren cus-start cus-load nadvice advice help-fns
tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call